<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/White"
    android:gravity="center_horizontal"
    android:orientation="vertical"
    android:paddingTop="@dimen/activity_vertical_margin"
    android:windowSoftInputMode="adjustPan">

    <TableLayout
        android:id="@+id/table_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginBottom="40dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:focusable="true"
                android:focusableInTouchMode="true"
                android:orientation="vertical">

                <include layout="@layout/header_customer_info" />

                <include layout="@layout/header_duration_info" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="#efefef"
                    android:elevation="1dp"
                    android:padding="10dp"
                    android:weightSum="3">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="fill_parent"
                        android:layout_gravity="left"
                        android:layout_weight="1.4"
                        android:gravity="left"
                        android:weightSum="2">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="fill_parent"
                            android:layout_weight="0.7"
                            android:gravity="left|center"
                            android:padding="5dp"
                            android:singleLine="true"
                            android:text="CRM No:"
                            android:textColor="#4b4b4b"
                            android:textSize="@dimen/TextSize16" />

                        <TextView
                            android:id="@+id/viewCrmNoTv"
                            android:layout_width="0dp"
                            android:layout_height="fill_parent"
                            android:layout_weight="1.3"
                            android:gravity="left|center"
                            android:padding="5dp"
                            android:singleLine="true"
                            android:text=""
                            android:textColor="@color/black"
                            android:textSize="@dimen/TextSize16"
                            android:textStyle="bold" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_gravity="right|center_vertical"
                        android:layout_weight="0.85"
                        android:gravity="right"
                        android:weightSum="2">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="fill_parent"
                            android:layout_weight="1"
                            android:gravity="left|center"
                            android:padding="5dp"
                            android:singleLine="true"
                            android:text="Currency:"
                            android:textColor="#4b4b4b"
                            android:textSize="@dimen/TextSize16" />

                        <TextView
                            android:id="@+id/viewCrmCurrencyTv"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="left|center"
                            android:padding="5dp"
                            android:singleLine="true"
                            android:textColor="@color/black"
                            android:textSize="@dimen/TextSize16"
                            android:textStyle="bold" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_gravity="right|center_vertical"
                        android:layout_weight="0.75"
                        android:gravity="right"
                        android:weightSum="2">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="fill_parent"
                            android:layout_weight="0.7"
                            android:gravity="left|center"
                            android:padding="5dp"
                            android:singleLine="true"
                            android:text="Date:"
                            android:textColor="#4b4b4b"
                            android:textSize="@dimen/TextSize16" />

                        <TextView
                            android:id="@+id/viewCrmDateTv"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1.3"
                            android:gravity="right"
                            android:padding="5dp"
                            android:singleLine="true"
                            android:textColor="@color/black"
                            android:textSize="@dimen/TextSize16"
                            android:textStyle="bold" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="#efefef">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="left"
                        android:gravity="left"
                        android:paddingVertical="15dp"
                        android:paddingLeft="15dp"
                        android:weightSum="3">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="fill_parent"
                            android:layout_weight="0.7"
                            android:gravity="left|center"
                            android:singleLine="true"
                            android:text="CRM Status:"
                            android:textColor="#4b4b4b"
                            android:textSize="@dimen/TextSize16" />

                        <TextView
                            android:id="@+id/viewCrmStatusTv"
                            android:layout_width="0dp"
                            android:layout_height="fill_parent"
                            android:layout_weight="1.5"
                            android:gravity="left|center"
                            android:textColor="@android:color/black" />

                        <in.kumanti.emzor.utils.CustomSearchableSpinner
                            android:id="@+id/viewCrmStatusSp"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1.5"
                            android:gravity="left|center"
                            android:singleLine="false"
                            android:textColor="#4b4b4b"
                            android:visibility="gone"
                            android:textSize="17sp" />
                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="fill_parent"
                            android:layout_weight="0.27"
                            android:gravity="left|center"
                            android:padding="5dp"
                            android:singleLine="true"
                            android:text="Date:"
                            android:textColor="#4b4b4b"
                            android:textSize="@dimen/TextSize16" />

                        <TextView
                            android:id="@+id/viewCrmStatusDateTv"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="0.47"
                            android:gravity="right"
                            android:padding="5dp"
                            android:singleLine="true"
                            android:textColor="@color/black"
                            android:textSize="@dimen/TextSize16"
                            android:textStyle="bold" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/viewCrmReasonContainer"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="#f7f7f7"
                    android:layout_marginTop="2dp">

                    <EditText
                        android:id="@+id/viewCrmReasonEt"
                        android:layout_width="0dp"
                        android:layout_height="70dp"
                        android:layout_weight="1"
                        android:background="@color/White"
                        android:fontFamily="Calibri"
                        android:gravity="left"
                        android:hint="Enter Reason"
                        android:visibility="gone"
                        android:imeOptions="actionDone"
                        android:padding="10dp"
                        android:maxLength="500"
                        android:textColor="@color/black"
                        android:textSize="@dimen/TextSize16" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:id="@+id/row_14"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:visibility="visible"
                        android:weightSum="6">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_marginTop="1dp"
                            android:layout_marginRight="1dp"
                            android:layout_marginBottom="1dp"
                            android:layout_weight="2"
                            android:background="#474747"
                            android:fontFamily="Calibri"
                            android:gravity="left"
                            android:paddingVertical="5dp"
                            android:paddingLeft="15dp"
                            android:singleLine="true"
                            android:text="PRODUCT"
                            android:textColor="@color/White"
                            android:textSize="@dimen/TextSize16"
                            android:textStyle="bold"/>

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="0.7"
                            android:background="@drawable/border_header"
                            android:fontFamily="Calibri"
                            android:gravity="center"
                            android:padding="5dp"
                            android:singleLine="true"
                            android:text="VOL"
                            android:textColor="@color/White"
                            android:textSize="@dimen/TextSize16"
                            android:textStyle="bold"/>

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@drawable/border_header"
                            android:fontFamily="Calibri"
                            android:gravity="center"
                            android:padding="5dp"
                            android:singleLine="true"
                            android:text="BUDGET"
                            android:textColor="@color/White"
                            android:textSize="@dimen/TextSize16"
                            android:textStyle="bold"/>

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@drawable/border_header"
                            android:fontFamily="Calibri"
                            android:gravity="center"
                            android:padding="5dp"
                            android:singleLine="true"
                            android:text="PRICE"
                            android:textColor="@color/White"
                            android:textSize="@dimen/TextSize16"
                            android:textStyle="bold"/>

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1.3"
                            android:background="@drawable/border_header"
                            android:fontFamily="Calibri"
                            android:gravity="center"
                            android:padding="5dp"
                            android:singleLine="true"
                            android:text="VALUE"
                            android:textColor="@color/White"
                            android:textSize="@dimen/TextSize16"
                            android:textStyle="bold"/>

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="150dp">

                    <android.support.v7.widget.RecyclerView
                        android:id="@+id/viewCrmProdsRv"
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        android:minHeight="250dp" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <LinearLayout
                        android:id="@+id/row_41"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="#d6d6d6"
                        android:weightSum="6">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="2.16"
                            android:fontFamily="Calibri"
                            android:gravity="left"
                            android:padding="10dp"
                            android:text="Total Budget"
                            android:textColor="@color/black"
                            android:textSize="@dimen/TextSize16" />

                        <View
                            android:id="@+id/divider81"
                            android:layout_width="1.5dp"
                            android:layout_height="match_parent"
                            android:layout_alignParentTop="true"
                            android:layout_centerHorizontal="true"
                            android:background="@color/White" />

                        <TextView
                            android:id="@+id/viewCrmTotalBudgetValueTv"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="3.81"
                            android:fontFamily="Calibri"
                            android:gravity="right"
                            android:padding="10dp"
                            android:textColor="#4b4b4b"
                            android:textSize="@dimen/TextSize16"
                            android:textStyle="bold" />
                    </LinearLayout>

                    <View
                        android:id="@+id/divider5"
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_alignParentTop="true"
                        android:layout_centerHorizontal="true"
                        android:background="@color/White" />

                    <LinearLayout
                        android:id="@+id/row_4"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="#d6d6d6"
                        android:weightSum="6">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="2.16"
                            android:fontFamily="Calibri"
                            android:gravity="left"
                            android:padding="10dp"
                            android:text="Total Value"
                            android:textColor="@color/black"
                            android:textSize="@dimen/TextSize16" />

                        <View
                            android:id="@+id/divider8"
                            android:layout_width="1.5dp"
                            android:layout_height="match_parent"
                            android:layout_alignParentTop="true"
                            android:layout_centerHorizontal="true"
                            android:background="@color/White" />

                        <TextView
                            android:id="@+id/viewCrmTotalProdValueTv"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="3.81"
                            android:fontFamily="Calibri"
                            android:gravity="right"
                            android:padding="10dp"
                            android:textColor="#4b4b4b"
                            android:textSize="@dimen/TextSize16"
                            android:textStyle="bold" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/fun_section"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_alignParentBottom="true"
                    android:layout_centerHorizontal="true"
                    android:layout_marginTop="10dp"
                    android:layout_marginBottom="45dp"
                    android:gravity="center"
                    android:orientation="horizontal"
                    android:weightSum="1">

                    <Button
                        android:id="@+id/viewCrmAddProductBt"
                        android:layout_width="wrap_content"
                        android:layout_height="60dp"
                        android:layout_margin="5dp"
                        android:background="@drawable/btn_default"
                        android:padding="10dp"
                        android:text="ADD\nPRODUCT"
                        android:textColor="@color/White"
                        android:textSize="@dimen/TextSize16" />

                    <Button
                        android:id="@+id/viewCrmStatusHistoryBt"
                        android:layout_width="wrap_content"
                        android:layout_height="60dp"
                        android:layout_margin="5dp"
                        android:background="@drawable/btn_default"
                        android:padding="10dp"
                        android:text="STATUS\nHISTORY"
                        android:textColor="@color/White"
                        android:textSize="@dimen/TextSize16" />

                    <Button
                        android:id="@+id/viewCrmAttachEnquiryBt"
                        android:layout_width="wrap_content"
                        android:layout_height="60dp"
                        android:layout_margin="5dp"
                        android:background="@drawable/btn_default"
                        android:padding="10dp"
                        android:text="ATTACH\nENQUIRY"
                        android:textColor="@color/White"
                        android:textSize="@dimen/TextSize16"/>

                    <Button
                        android:id="@+id/viewCrmAttachQuotationBt"
                        android:layout_width="wrap_content"
                        android:layout_height="60dp"
                        android:layout_margin="5dp"
                        android:background="@drawable/btn_default"
                        android:padding="10dp"
                        android:text="ATTACH\nQUOTATION\nVIEW"
                        android:textColor="@color/White"
                        android:textSize="@dimen/TextSize16" />

                    <Button
                        android:id="@+id/viewCrmEnterOrderBt"
                        android:layout_width="wrap_content"
                        android:layout_height="60dp"
                        android:layout_margin="5dp"
                        android:background="@drawable/btn_default"
                        android:padding="10dp"
                        android:text="ENTER\nORDER"
                        android:textColor="@color/White"
                        android:textSize="@dimen/TextSize16"/>
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/btn_section"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_alignParentBottom="true"
                    android:layout_centerHorizontal="true"
                    android:layout_marginTop="10dp"
                    android:layout_marginBottom="45dp"
                    android:gravity="center"
                    android:orientation="horizontal"
                    android:weightSum="1">

                    <ImageButton
                        android:id="@+id/viewCrmSaveIb"
                        android:layout_width="wrap_content"
                        android:layout_height="fill_parent"
                        android:layout_margin="5dp"
                        android:background="@drawable/btn_primary"
                        android:elevation="2dp"
                        android:padding="10dp"
                        android:src="@drawable/verification_mark_dark"
                        android:tint="@color/White" />

                    <ImageButton
                        android:id="@+id/viewCrmCancelIb"
                        android:layout_width="wrap_content"
                        android:layout_height="fill_parent"
                        android:layout_margin="5dp"
                        android:background="@drawable/btn_default"
                        android:elevation="2dp"
                        android:padding="10dp"
                        android:src="@drawable/cancel_button"
                        android:tint="@color/White" />

                    <Button
                        android:id="@+id/viewCrmEmailButton"
                        android:layout_width="wrap_content"
                        android:layout_height="fill_parent"
                        android:layout_margin="5dp"
                        android:background="@drawable/btn_default"
                        android:padding="10dp"
                        android:text="EMAIL"
                        android:textColor="@color/White"
                        android:textSize="@dimen/TextSize16"/>

                    <Button
                        android:id="@+id/viewCrmSmsButton"
                        android:layout_width="wrap_content"
                        android:layout_height="fill_parent"
                        android:layout_margin="5dp"
                        android:background="@drawable/btn_default"
                        android:padding="10dp"
                        android:text="SMS"
                        android:textColor="@color/White"
                        android:textSize="@dimen/TextSize16"/>
                </LinearLayout>

            </LinearLayout>
        </ScrollView>
    </TableLayout>

    <!-- Footer aligned to bottom-->
    <include layout="@layout/footer1" />
</RelativeLayout>